Loading...
Searching...
No Matches
wayland::server::zwp_pointer_gesture_swipe_v1_t Class Reference

a swipe gesture object More...

`#include <wayland-server-protocol-unstable.hpp>`

Inherits wayland::server::resource_t.

## Public Member Functions

std::function< void()> & | on_destroy ()
| destroy the pointer swipe gesture object
void | begin (uint32_t serial, uint32_t time, surface_t const &surface, uint32_t fingers, bool post=true)
| multi-finger swipe begin
void | update (uint32_t time, double dx, double dy, bool post=true)
| multi-finger swipe motion
void | end (uint32_t serial, uint32_t time, int32_t cancelled, bool post=true)
| multi-finger swipe end
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Static Public Attributes

static constexpr std::uint32_t | begin_since_version = 1
| Minimum protocol version required for the begin function.
static constexpr std::uint32_t | update_since_version = 1
| Minimum protocol version required for the update function.
static constexpr std::uint32_t | end_since_version = 1
| Minimum protocol version required for the end function.

## Detailed Description

a swipe gesture object

A swipe gesture object notifies a client about a multi-finger swipe gesture detected on an indirect input device such as a touchpad. The gesture is usually initiated by multiple fingers moving in the same direction but once initiated the direction may change. The precise conditions of when such a gesture is detected are implementation-dependent.

A gesture consists of three stages: begin, update (optional) and end. There cannot be multiple simultaneous hold, pinch or swipe gestures on a same pointer/seat, how compositors prevent these situations is implementation-dependent.

A gesture may be cancelled by the compositor or the hardware. Clients should not consider performing permanent or irreversible actions until the end of a gesture has been received.

Definition at line 3204 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## begin()

void zwp_pointer_gesture_swipe_v1_t::begin | ( | uint32_t | serial,
|  | uint32_t | time,
|  | surface_t const & | surface,
|  | uint32_t | fingers,
|  | bool | post = `true`
| ) |  |

multi-finger swipe begin

Parameters

  serial |
  time | timestamp with millisecond granularity
  surface |
  fingers | number of fingers

This event is sent when a multi-finger swipe gesture is detected on the device.

Definition at line 5623 of file wayland-server-protocol-unstable.cpp.

## end()

void zwp_pointer_gesture_swipe_v1_t::end | ( | uint32_t | serial,
|  | uint32_t | time,
|  | int32_t | cancelled,
|  | bool | post = `true`
| ) |  |

multi-finger swipe end

Parameters

  serial |
  time | timestamp with millisecond granularity
  cancelled | 1 if the gesture was cancelled, 0 otherwise

This event is sent when a multi-finger swipe gesture ceases to be valid. This may happen when one or more fingers are lifted or the gesture is cancelled.

When a gesture is cancelled, the client should undo state changes caused by this gesture. What causes a gesture to be cancelled is implementation-dependent.

Definition at line 5633 of file wayland-server-protocol-unstable.cpp.

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_destroy()

std::function< void()> & zwp_pointer_gesture_swipe_v1_t::on_destroy | ( |  | ) |

destroy the pointer swipe gesture object

Definition at line 5617 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

## update()

void zwp_pointer_gesture_swipe_v1_t::update | ( | uint32_t | time,
|  | double | dx,
|  | double | dy,
|  | bool | post = `true`
| ) |  |

multi-finger swipe motion

Parameters

  time | timestamp with millisecond granularity
  dx | delta x coordinate in surface coordinate space
  dy | delta y coordinate in surface coordinate space

This event is sent when a multi-finger swipe gesture changes the position of the logical center.

The dx and dy coordinates are relative coordinates of the logical center of the gesture compared to the previous event.

Definition at line 5628 of file wayland-server-protocol-unstable.cpp.

## Member Data Documentation

## begin_since_version

constexpr std::uint32_t wayland::server::zwp_pointer_gesture_swipe_v1_t::begin_since_version = 1

static constexpr

Minimum protocol version required for the begin function.

Definition at line 3249 of file wayland-server-protocol-unstable.hpp.

## end_since_version

constexpr std::uint32_t wayland::server::zwp_pointer_gesture_swipe_v1_t::end_since_version = 1

static constexpr

Minimum protocol version required for the end function.

Definition at line 3287 of file wayland-server-protocol-unstable.hpp.

## update_since_version

constexpr std::uint32_t wayland::server::zwp_pointer_gesture_swipe_v1_t::update_since_version = 1

static constexpr

Minimum protocol version required for the update function.

Definition at line 3267 of file wayland-server-protocol-unstable.hpp.

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp